%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME terminal
Name:		gnome-terminal
Version:	3.24.2
Release:	%mkrel 3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) add -geometry support
Patch0:		gnome-terminal-3.8.2-geometry.patch
# (fc) change default background (grey on black)
License:	GPLv2+
URL:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(dconf) >= 0.12.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.31.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.33.2
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.9
BuildRequires:	pkgconfig(libnautilus-extension) >= 3.0.0
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vte-2.91) >= 0.37.90
BuildRequires:	pkgconfig(x11)
BuildRequires:	libxml2-utils
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libxslt-proc
BuildRequires:	itstool
BuildRequires:	gnome-shell
BuildRequires:	appdata-tools
BuildRequires:	vala-devel
Recommends:	%{name}-nautilus

%description
This is the GNOME terminal emulator application.

%package nautilus
Summary:	Open a terminal in a specified folder

%description nautilus
An extension for Nautilus which allows you to open a terminal in arbitrary
local folders.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --with-nautilus-extension --without-pcre2
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc AUTHORS NEWS HACKING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Terminal.desktop
%{_libexecdir}/%{name}-migration
%{_libexecdir}/%{name}-server
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini
%{_datadir}/metainfo/*gnome*.appdata.xml
%{_datadir}/metainfo/*gnome*.metainfo.xml
%{_userunitdir}/gnome-terminal-server.service

%files nautilus
%{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so


%changelog
* Sat May 13 2017 wally <wally> 3.24.2-3.mga6
+ Revision: 1100807
- yet another rebuild for armv5tl

* Thu May 11 2017 wally <wally> 3.24.2-2.mga6
+ Revision: 1100259
- rebuild for ARM

* Wed May 10 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099936
- new version 3.24.2

* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096333
- new version 3.24.1

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094437
- new version 3.24.0

* Mon Mar 20 2017 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1093824
- new version 3.22.2

* Mon Nov 07 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065680
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055835
- new version 3.22.0
- new version 3.21.90

* Thu May 26 2016 yuri_myasoedov <yuri_myasoedov> 3.20.2-1.mga6
+ Revision: 1018665
- replace deprecated %%make with %%make_build.
- replace deprecated %%makeinstall_std with %%make_install.
- fix %%files adding gnome-terminal-server.service.

  + ovitters <ovitters>
    - new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000410
- new version 3.20.1

* Sat Mar 19 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 992965
- new version 3.20.0

* Thu Mar 17 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992546
- new version 3.19.92

  + colin <colin>
    - Remove update-alternatives post script (no longer needed)

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980897
- new version 3.19.91

* Fri Feb 19 2016 colin <colin> 3.19.90-2.mga6
+ Revision: 968156
- Disable PCRE2 (it's been dropped from vte3 for now)

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962529
- new version 3.19.90

* Mon Feb 15 2016 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 960539
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905335
- new version 3.19.1

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900105
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890034
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882702
- new release
- new release

* Thu Aug 20 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 866880
- new version 3.17.91
- new version 3.17.90

* Tue Jun 23 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 839939
- new version 3.16.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836365
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796303
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 743407
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738323
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719177
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679776
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Sep 14 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 675398
- new version 3.13.92

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666727
- new version 3.13.90

* Mon Jun 23 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 638978
- new version 3.13.2

* Thu May 29 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627744
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622307
- new version 3.12.2

* Sat Apr 26 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 618212
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608053
- new version 3.12.0

* Wed Feb 19 2014 ovitters <ovitters> 3.11.3-1.mga5
+ Revision: 594855
- new version 3.11.3

* Tue Feb 18 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 594509
- new version 3.11.2

* Wed Feb 05 2014 ovitters <ovitters> 3.11.0-1.mga5
+ Revision: 583888
- new version 3.11.0
- dropped merged patch 2

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550611
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542434
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497569
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485554
- new version 3.10.0

* Tue Sep 17 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 480642
- update buildrequires and hardcode nautilus ext

  + ovitters <ovitters>
    - new version 3.9.92

* Tue Jul 30 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 461091
- add nautilus subpackage
- br libnautilus-extension
- new version 3.9.90

  + fwang <fwang>
    - bump req

* Wed Jul 10 2013 ovitters <ovitters> 3.8.4-1.mga4
+ Revision: 452667
- new version 3.8.4

* Mon Jun 10 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 441849
- new version 3.8.3

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426374
- add 'libxml2-utils' as 'buildrequire'
- new version 3.8.2
- add pkgconfig(dconf)
- add pkgconfig(uuid)
- update %%file
- rediff patches

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307006
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297476
- new version 3.6.0

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285517
- update file list
- disable schemas install
- br itstool
- new verison 3.5.90

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1.1-1.mga2
+ Revision: 231105
- new version 3.4.1.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226631
- new version 3.4.0.1

* Tue Feb 07 2012 fwang <fwang> 3.3.0-1.mga2
+ Revision: 205739
- new version 3.3.0

  + wally <wally>
    - clean .spec

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155713
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148704
- bump req
- new version 3.2.0

* Sat Sep 17 2011 fwang <fwang> 3.0.1-3.mga2
+ Revision: 144523
- br gtk+2 with gtk-builder-convert
- rebuild
- cleanup spec

* Sun Jun 26 2011 fwang <fwang> 3.0.1-2.mga2
+ Revision: 113962
- br gtk+2  for gtk-builder-convert binary
- build gtk3 flavour

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 102415
- New version 3.0.1

* Thu Apr 28 2011 pterjan <pterjan> 3.0.0-3.mga1
+ Revision: 93308
- Use gsettings

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-2.mga1
+ Revision: 88946
- Do not use gsettings yet

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-1.mga1
+ Revision: 88939
- Update to 3.0.0
- Partial sync with mdv

  + dams <dams>
    - Update to 2.33.90

* Tue Apr 19 2011 dams <dams> 2.33.5-1.mga1
+ Revision: 88421
- Update to 2.33.5

* Tue Jan 18 2011 blino <blino> 2.33.3-1.mga1
+ Revision: 23608
- remove old version in comments
- remove old post scriptlets
- imported package gnome-terminal

